--- interface.c.orig	2004-05-10 01:20:56.000000000 +0200
+++ interface.c	2004-07-24 13:39:06.000000000 +0200
@@ -37,7 +37,7 @@
 #include "interface.h"
 #include "wireless.h"
 
-#include <libdaemon/dlog.h>
+/* #include <libdaemon/dlog.h> */
 
 void interface_up(int fd, char *iface) {
     struct ifreq ifr;
@@ -47,7 +47,7 @@
     
     if (ioctl(fd, SIOCGIFFLAGS, &ifr) < 0) {
         if (interface_do_message)
-            daemon_log(LOG_WARNING, "Warning: Could not get interface flags.");
+            printf("Warning: Could not get interface flags.");
         
         return;
     }
@@ -57,21 +57,21 @@
     
     if (ioctl(fd, SIOCGIFADDR, &ifr) < 0) {
         if (interface_do_message)
-            daemon_log(LOG_WARNING, "Warning: Could not get interface address.");
+            printf("Warning: Could not get interface address.");
     } else if (ifr.ifr_addr.sa_family != AF_INET) {
         if (interface_do_message)
-            daemon_log(LOG_WARNING, "Warning: The interface is not IP-based.");
+            printf("wARning: The interface is not IP-based.");
     } else {
         ((struct sockaddr_in *)(&ifr.ifr_addr))->sin_addr.s_addr = INADDR_ANY;
         if (ioctl(fd, SIOCSIFADDR, &ifr) < 0) {
             if (interface_do_message)
-                daemon_log(LOG_WARNING, "Warning: Could not set interface address.");
+                printf("Warning: Could not set interface address.");
         }
     }
 
     if (ioctl(fd, SIOCGIFFLAGS, &ifr) < 0) {
         if (interface_do_message)
-            daemon_log(LOG_WARNING, "Warning: Could not get interface flags.");
+            printf("Warning: Could not get interface flags.");
         
         return;
     }
@@ -80,7 +80,7 @@
     
     if (ioctl(fd, SIOCSIFFLAGS, &ifr) < 0)
         if (interface_do_message)
-            daemon_log(LOG_WARNING, "Warning: Could not set interface flags.");
+            printf("Warning: Could not set interface flags.");
 }
 
 interface_status_t interface_detect_beat_mii(int fd, char *iface) {
@@ -94,7 +94,7 @@
 
     if (ioctl(fd, SIOCGMIIPHY, &ifr) == -1) {
         if (interface_do_message)
-            daemon_log(LOG_ERR, "SIOCGMIIPHY failed: %s", strerror(errno));
+            printf("SIOCGMIIPHY failed: %s", strerror(errno));
         
         return IFSTATUS_ERR;
     }
@@ -103,7 +103,7 @@
 
     if (ioctl(fd, SIOCGMIIREG, &ifr) == -1) {
         if (interface_do_message)
-            daemon_log(LOG_ERR, "SIOCGMIIREG failed: %s", strerror(errno));
+            printf("SIOCGMIIREG failed: %s", strerror(errno));
         
         return IFSTATUS_ERR;
     }
@@ -122,7 +122,7 @@
 
     if (ioctl(fd, SIOCDEVPRIVATE, &ifr) == -1) {
         if (interface_do_message)
-            daemon_log(LOG_ERR, "SIOCDEVPRIVATE failed: %s", strerror(errno));
+            printf("SIOCDEVPRIVATE failed: %s", strerror(errno));
         
         return IFSTATUS_ERR;
     }
@@ -131,7 +131,7 @@
 
     if (ioctl(fd, SIOCDEVPRIVATE+1, &ifr) == -1) {
         if (interface_do_message)
-            daemon_log(LOG_ERR, "SIOCDEVPRIVATE+1 failed: %s", strerror(errno));
+            printf("SIOCDEVPRIVATE+1 failed: %s", strerror(errno));
         
         return IFSTATUS_ERR;
     }
@@ -155,7 +155,7 @@
 
     if (ioctl(fd, SIOCETHTOOL, &ifr) == -1) {
         if (interface_do_message)
-            daemon_log(LOG_ERR, "ETHTOOL_GLINK failed: %s", strerror(errno));
+            printf("ETHTOOL_GLINK failed: %s", strerror(errno));
         
         return IFSTATUS_ERR;
     }
@@ -175,7 +175,7 @@
 
     if (ioctl(fd, SIOCGIFFLAGS, &ifr) == -1) {
         if (interface_do_message)
-            daemon_log(LOG_ERR, "SIOCGIFFLAGS failed: %s", strerror(errno));
+            printf("SIOCGIFFLAGS failed: %s", strerror(errno));
 
         return IFSTATUS_ERR;
     }
@@ -193,7 +193,7 @@
     
     if (!(f = fopen("/proc/net/wireless", "r"))) {
         if (interface_do_message)
-            daemon_log(LOG_WARNING, "Failed to open /proc/net/wireless: %s",strerror(errno));
+            printf("Failed to open /proc/net/wireless: %s",strerror(errno));
         
         return -1;
     }
@@ -225,7 +225,7 @@
 
     if (q < 0) {
         if (interface_do_message)
-            daemon_log(LOG_ERR, "Failed to find interface in /proc/net/wireless");
+            printf("Failed to find interface in /proc/net/wireless");
     }
         
     return q;
@@ -245,7 +245,7 @@
 
     if (ioctl(fd, SIOCGIWSTATS, &req) < 0) {
         if (interface_do_message)
-            daemon_log(LOG_ERR, "Failed to get interface quality: %s\n", strerror(errno));
+            printf("Failed to get interface quality: %s\n", strerror(errno));
         return -1;
     }
 
@@ -259,7 +259,7 @@
      
     if (ioctl(fd, SIOCGIWRANGE, &req) < 0) {
         if (interface_do_message)
-            daemon_log(LOG_ERR, "SIOCGIWRANGE failed: %s\n", strerror(errno));
+            printf("SIOCGIWRANGE failed: %s\n", strerror(errno));
         return -1;
     }
     
@@ -298,7 +298,7 @@
      
     if (ioctl(fd, SIOCGIWAP, &req) < 0) {
         if (interface_do_message)
-            daemon_log(LOG_WARNING, "Failed to get AP address: %s",strerror(errno));
+            printf("Failed to get AP address: %s",strerror(errno));
         return IFSTATUS_ERR;
     }
 
@@ -310,7 +310,7 @@
     if ((q = get_wlan_qual_new(fd, iface)) < 0)
         if ((q = get_wlan_qual_old(iface)) < 0) {
             if (interface_do_message)
-                daemon_log(LOG_WARNING, "Failed to get wireless link quality.");
+                printf("Failed to get wireless link quality.");
             
             return IFSTATUS_ERR;
         }
